Runs [`web-ext lint`][1] in order to lint a web extension and generate a report
containing a list of warnings and errors that must be solved.

## Role variables
- `source_dir`: folder where the uncompressed extension files are located (if
you use a tool –such as Webpack– to build your extension, this folder should
have the compiled files which you would ZIP and upload to the extensions store.
If this is a relative path, it is computed as if you were in the directory
`{{ zuul.project.src_dir }}`. (default: `src`)
- `extra_lint_flags`: flags that will be passed to the `web-ext lint` command,
if specified.

[1]: https://extensionworkshop.com/documentation/develop/web-ext-command-reference/#web-ext-lint
